Bug 116825 - CAN-2004-0148 wu-ftpd user able to break out of restriction
Summary: CAN-2004-0148 wu-ftpd user able to break out of restriction
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: wu-ftpd   
(Show other bugs)
Version: 2.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-25 15:52 UTC by Mark J. Cox
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-08 16:50:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:096 normal SHIPPED_LIVE Important: wu-ftpd security update 2004-03-08 05:00:00 UTC

Description Mark J. Cox 2004-02-25 15:52:46 UTC
Glenn Stewart discovered a flaw in wu-ftpd when configured with
"restricted-gid home".  An authorized user could use this flaw to
circumvent the configured home directory restriction by using chmod.

Embargoed until 20040308

Comment 1 Mark J. Cox 2004-03-08 16:50:25 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-096.html


Comment 2 Mark J. Cox 2004-03-08 17:01:05 UTC
removing embargo


Note You need to log in before you can comment on or make changes to this bug.